Subject: Re: Radeon 7000 in 9500 - which slot?

From: "Benjamin Herrenschmidt" <[email-masked]>
Date: Fri, 11 Oct 2002 12:09:35 +0200

>> Where ? Can you elaborate ? inside radeonfb ? pci_device_to_OF_node
>> should not return NULL, I though I fixed that...
>
>Look in the first few lines of
>arch/ppc/kernel/pci.c:pci_device_to_OF_node()
>lots of return NULL; there ;)
>
>OF doesnt init the card in some of the slots -> no OF properties.

Ah, you mean no OF properties at all ? ok, that's bad. I'll
make sure radeonfb is robust enough. The problem is that without
those properties, we won't know the card's clock, so we'll have
to guess it, that may not work.

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/